From: Frank Haverkamp <haver@vnet.ibm.com>
To: linux-kernel@vger.kernel.org
Cc: arnd@arndb.de, gregkh@linuxfoundation.org,
cody@linux.vnet.ibm.com, schwidefsky@de.ibm.com,
utz.bacher@de.ibm.com, jsvogt@de.ibm.com, MIJUNG@de.ibm.com,
cascardo@linux.vnet.ibm.com, michael@ibmra.de,
Frank Haverkamp <haver@vnet.ibm.com>
Subject: [RFC] [PATCH] Generic WorkQueue Engine (GenWQE) device driver
Date: Thu, 25 Jul 2013 10:28:16 +0200 [thread overview]
Message-ID: <1374740897-20304-1-git-send-email-haver@vnet.ibm.com> (raw)
The GenWQE device is a PCIe card used to acclerate different tasks.
Since it is configurable it can be adjusted to different purposes.
Our initial task for the card is to do zlib style compression/decompression
RFC1950, RFC1951, and RFC1952 with help of hardware.
I kindly ask for your feedback on the code, such that I can do any
change which helps me to get it integrated smoothly.
---
Frank Haverkamp (1):
Generic WorkQueue Engine (GenWQE) device driver
drivers/misc/Kconfig | 1 +
drivers/misc/Makefile | 1 +
drivers/misc/genwqe/Kconfig | 23 +
drivers/misc/genwqe/Makefile | 8 +
drivers/misc/genwqe/card_base.c | 1317 ++++++++++++++++++++++++++++
drivers/misc/genwqe/card_base.h | 515 +++++++++++
drivers/misc/genwqe/card_ddcb.c | 1380 ++++++++++++++++++++++++++++++
drivers/misc/genwqe/card_ddcb.h | 159 ++++
drivers/misc/genwqe/card_dev.c | 1614 +++++++++++++++++++++++++++++++++++
drivers/misc/genwqe/card_sysfs.c | 645 ++++++++++++++
drivers/misc/genwqe/card_utils.c | 1032 ++++++++++++++++++++++
drivers/misc/genwqe/genwqe_driver.h | 83 ++
include/linux/genwqe/genwqe_card.h | 710 +++++++++++++++
13 files changed, 7488 insertions(+), 0 deletions(-)
create mode 100644 drivers/misc/genwqe/Kconfig
create mode 100644 drivers/misc/genwqe/Makefile
create mode 100644 drivers/misc/genwqe/card_base.c
create mode 100644 drivers/misc/genwqe/card_base.h
create mode 100644 drivers/misc/genwqe/card_ddcb.c
create mode 100644 drivers/misc/genwqe/card_ddcb.h
create mode 100644 drivers/misc/genwqe/card_dev.c
create mode 100644 drivers/misc/genwqe/card_sysfs.c
create mode 100644 drivers/misc/genwqe/card_utils.c
create mode 100644 drivers/misc/genwqe/genwqe_driver.h
create mode 100644 include/linux/genwqe/genwqe_card.h
next reply other threads:[~2013-07-25 8:28 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-07-25 8:28 Frank Haverkamp [this message]
2013-07-25 8:28 ` Frank Haverkamp
2013-07-25 13:21 ` Michal Marek
2013-07-26 12:20 ` Frank Haverkamp
2013-07-26 12:29 ` Michal Marek
2013-10-23 13:15 ` Frank Haverkamp
2013-10-23 13:40 ` Michal Marek
2013-10-23 14:14 ` Frank Haverkamp
2013-10-23 15:06 ` Michal Marek
2013-10-23 15:22 ` Greg KH
2013-10-23 18:15 ` Guenter Roeck
2013-10-24 9:56 ` Greg KH
2013-10-23 14:54 ` Greg KH
2013-10-23 18:27 ` Bjorn Helgaas
2013-10-25 7:56 ` Frank Haverkamp
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1374740897-20304-1-git-send-email-haver@vnet.ibm.com \
--to=haver@vnet.ibm.com \
--cc=MIJUNG@de.ibm.com \
--cc=arnd@arndb.de \
--cc=cascardo@linux.vnet.ibm.com \
--cc=cody@linux.vnet.ibm.com \
--cc=gregkh@linuxfoundation.org \
--cc=jsvogt@de.ibm.com \
--cc=linux-kernel@vger.kernel.org \
--cc=michael@ibmra.de \
--cc=schwidefsky@de.ibm.com \
--cc=utz.bacher@de.ibm.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®